Foreman - Feature #33470

Support CentOS Stream 8 detection based on all facts
09/13/2021 10:51 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Dominik Matoulek
Category: Facts
Target version:
Difficulty: Fixed in Releases: 3.2.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8870,
https://github.com/theforeman/foreman/p
ull/9075
Description

Foreman should correctly detect the CentOS Stream 8 distribution based on facts of all sources.

Related issues:

Related to Foreman - Feature #32370: Detect CentOS 8 Stream as CentOSStream O... Rejected
Related to Foreman - Bug #34302: Associate redhat templates with CentOS_Strea... Closed
Related to Foreman - Bug #34409: Identifying CentOS Stream as CentOS_Stream b... Closed

Associated revisions

Revision 16701e6b - 01/03/2022 09:27 AM - Dominik Matoulek
Fixes #33470 - Adding support for CentOS Stream

The facts from Stream has not yet supported in Foreman. This PR adds correct recognition for all parsers.

History

#1 - 10/25/2021 12:06 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Dominik Matoulek

- Pull request https://github.com/theforeman/foreman/pull/8870 added

#2 - 10/26/2021 08:21 AM - Lukas Zapletal
- Related to Feature #32370: Detect CentOS 8 Stream as CentOSStream OS name added

#3 - 01/03/2022 09:27 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added

#4 - 01/03/2022 10:01 AM - Dominik Matoulek
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|16701e6bc97c716b7b316a0715285a6e6591e7b8.

#5 - 01/24/2022 12:08 PM - Lukas Zapletal
- Related to Bug #34302: Associate redhat templates with CentOS_Stream OS name added

#6 - 02/01/2022 06:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9075 added

#7 - 02/07/2022 07:41 PM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/16701e6bc97c716b7b316a0715285a6e6591e7b8

- Related to Bug #34409: Identifying CentOS Stream as CentOS_Stream breaks in upgrades added
